DEFINE VAR StartTime AS INT NO-UNDO.
DEFINE VAR rowcount AS INT INITIAL 0 NO-UNDO.
DEFINE VAR INCustomer AS INT INITIAL 1 NO-UNDO.
DEFINE VAR INCompany AS CHAR INITIAL "lift" NO-UNDO.
DEFINE TEMP-TABLE ttCustomer LIKE customer.

DEFINE VAR handle1 AS INT.

startTime = etime.

RUN STORED-PROC SPCustomer handle1 = PROC-HANDLE
    (INPUT INCustomer, INPUT INcompany , OUTPUT 0).

PAUSE 0 BEFORE-HIDE.
FOR EACH VIEWCustomer WHERE PROC-HANDLE = handle1:
     rowcount = rowcount + 1.
    CREATE ttcustomer.
    ASSIGN ttcustomer.NAME = VIEWCustomer.NAME
           ttcustomer.address = VIEWCustomer.address
           ttcustomer.CustNum = VIEWCustomer.CustNum
           ttcustomer.Contact = VIEWCustomer.Contact
           ttcustomer.EmailAddress = VIEWCustomer.EmailAddress
           ttcustomer.SalesRep = VIEWCustomer.SalesRep.
END.

MESSAGE ( ETIME - StartTime ) / 1000 " seconds  : rowcount = " STRING(rowcount)
  VIEW-AS ALERT-BOX TITLE "Run Stored Procedure & VIEW/BUFFER".

CLOSE STORED-PROC SPCustomer WHERE PROC-HANDLE = handle1.


DEFINE QUERY q1 FOR ttCustomer. 
DEFINE BROWSE b1 QUERY q1 DISPLAY 
 ttcustomer.NAME FORMAT "x(8)"
           ttcustomer.address FORMAT "x(8)"
           ttcustomer.CustNum 
           ttcustomer.Contact FORMAT "x(8)"
           ttcustomer.EmailAddress FORMAT "x(8)"
           ttcustomer.SalesRep
WITH 17 DOWN TITLE "ttCustomer".

DEFINE FRAME f1 b1.

OPEN QUERY q1 FOR EACH ttCustomer.
ENABLE b1 WITH FRAME f1. 
WAIT-FOR WINDOW-CLOSE OF CURRENT-WINDOW.  




                                              
